## ros-lunar-grid-map-sdf 1.6.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(grid_map_sdf)

set(CMAKE_CXX_FLAGS "-std=c++11 ${CMAKE_CXX_FLAGS}")

## Find catkin macros and libraries
find_package(catkin REQUIRED COMPONENTS
  grid_map_core
  pcl_ros
)

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
  INCLUDE_DIRS
    include
  LIBRARIES
    ${PROJECT_NAME}
  CATKIN_DEPENDS
    grid_map_core
    pcl_ros
  DEPENDS
)

###########
## Build ##
###########

## Specify additional locations of header files
include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${EIGEN3_INCLUDE_DIR}
)

## Declare a cpp library
add_library(${PROJECT_NAME}
  src/SignedDistanceField.cpp
)

target_link_libraries(${PROJECT_NAME}
  ${catkin_LIBRARIES}
)

#############
## Install ##
#############

# Mark executables and/or libraries for installation
install(
  TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Mark cpp header files for installation
install(
  DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.hpp"
)

#############
## Testing ##
#############

if(CATKIN_ENABLE_TESTING)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pthread")
## Add gtest based cpp test target and link libraries
catkin_add_gtest(${PROJECT_NAME}-test
  test/SignedDistanceFieldTest.cpp
  test/test_grid_map_sdf.cpp)
endif()

if(TARGET ${PROJECT_NAME}-test)
  target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME})
  
endif()

=== debian/changelog ===
ros-lunar-grid-map-sdf (1.6.1-0xenial) xenial; urgency=high

  * Updated host changes.
  * Updated author e-mail address.
  * Contributors: Peter Fankhauser, Péter Fankhauser

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Tue, 26 Feb 2019 23:00:00 -0000

ros-lunar-grid-map-sdf (1.6.0-0xenial) xenial; urgency=high

  * Release of new implementation to convert grid maps to signed distance fields.
  * Contributors: Takahiro Miki, Péter Fankhauser

 -- Péter Fankhauser <pfankhauser@ethz.ch>  Thu, 23 Nov 2017 23:00:00 -0000

ros-lunar-grid-map-sdf (1.5.2-0xenial) xenial; urgency=high



 -- Péter Fankhauser <pfankhauser@ethz.ch>  Tue, 25 Jul 2017 17:54:00 -0000

ros-lunar-grid-map-sdf (1.5.1-0xenial) xenial; urgency=high



 -- Péter Fankhauser <pfankhauser@ethz.ch>  Tue, 25 Jul 2017 09:25:00 -0000

ros-lunar-grid-map-sdf (1.5.0-0xenial) xenial; urgency=high



 -- Péter Fankhauser <pfankhauser@ethz.ch>  Mon, 17 Jul 2017 22:00:00 -0000

ros-lunar-grid-map-sdf (1.4.2-0xenial) xenial; urgency=high



 -- Péter Fankhauser <pfankhauser@ethz.ch>  Mon, 23 Jan 2017 23:00:00 -0000

ros-lunar-grid-map-sdf (1.4.1-0xenial) xenial; urgency=high



 -- Péter Fankhauser <pfankhauser@ethz.ch>  Sat, 22 Oct 2016 22:00:00 -0000

ros-lunar-grid-map-sdf (1.4.0-0xenial) xenial; urgency=high



 -- Péter Fankhauser <pfankhauser@ethz.ch>  Sun, 21 Aug 2016 22:00:00 -0000

ros-lunar-grid-map-sdf (1.3.3-0xenial) xenial; urgency=high



 -- Péter Fankhauser <pfankhauser@ethz.ch>  Tue, 10 May 2016 18:35:00 -0000

ros-lunar-grid-map-sdf (1.3.1-0xenial) xenial; urgency=high



 -- Péter Fankhauser <pfankhauser@ethz.ch>  Tue, 10 May 2016 14:41:00 -0000

ros-lunar-grid-map-sdf (1.3.0-0xenial) xenial; urgency=high



 -- Péter Fankhauser <pfankhauser@ethz.ch>  Mon, 25 Apr 2016 22:00:00 -0000

ros-lunar-grid-map-sdf (1.2.0-0xenial) xenial; urgency=high



 -- Péter Fankhauser <pfankhauser@ethz.ch>  Wed, 02 Mar 2016 23:00:00 -0000

ros-lunar-grid-map-sdf (1.1.3-0xenial) xenial; urgency=high



 -- Péter Fankhauser <pfankhauser@ethz.ch>  Mon, 11 Jan 2016 17:55:26 +0100

ros-lunar-grid-map-sdf (1.1.2-0xenial) xenial; urgency=high



 -- Péter Fankhauser <pfankhauser@ethz.ch>  Mon, 11 Jan 2016 15:38:00 -0000

ros-lunar-grid-map-sdf (1.1.1-0xenial) xenial; urgency=high



 -- Péter Fankhauser <pfankhauser@ethz.ch>  Mon, 11 Jan 2016 12:51:00 -0000

ros-lunar-grid-map-sdf (1.1.0-0xenial) xenial; urgency=high



 -- Péter Fankhauser <pfankhauser@ethz.ch>  Thu, 07 Jan 2016 23:00:00 -0000

=== debian/control ===
Source: ros-lunar-grid-map-sdf
Section: misc
Priority: extra
Maintainer: Péter Fankhauser <pfankhauser@anybotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin, ros-lunar-grid-map-core, ros-lunar-pcl-ros
Homepage: http://github.com/ethz-asl/grid_map
Standards-Version: 3.9.2

Package: ros-lunar-grid-map-sdf
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-grid-map-core, ros-lunar-pcl-ros
Description: Generates signed distance fields from grid maps.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-grid-map-sdf//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
